安装php7.4

安装前的准备工作

安装PHP7.4找不到包 No package ‘oniguruma’ found错误
wget https://github.com/kkos/oniguruma/archive/v6.9.4.tar.gz -O oniguruma-6.9.4.tar.gz

tar -xvf oniguruma-6.9.4.tar.gz

cd oniguruma-6.9.4/

./autogen.sh

./configure –prefix=/usr –libdir=/lib64 //64位的系统一定要标识 –libdir=/lib64 否则还是不行
make && make install

 

CentOS 7编译安装PHP 7.4提示No package ‘libzip’ found或者(libzip >= 0.11)

编译安装PHP 7.4提示No package ‘libzip’ found或者(libzip >= 0.11),原因是libzip没有安装或者版本太低,解决方法如下

#卸载老版本的libzip
yum remove libzip
#下载安装libzip-1.2.0
wget https://libzip.org/download/libzip-1.2.0.tar.gz
tar -zxvf libzip-1.2.0.tar.gz
cd libzip-1.2.0
./configure
make && make install

安装完成后,查看是否存在/usr/local/lib/pkgconfig目录,如果存在,执行如下命令来设置PKG_CONFIG_PATH:

export PKG_CONFIG_PATH="/usr/local/lib/pkgconfig/"

 

[root@li1548-187 run]# ll /root/php-7.4.11.tar.gz
-rw-r–r– 1 root root 16536884 Sep 29 18:40 /root/php-7.4.11.tar.gz

tar xf php-7.4.11.tar.gz

cd php-7.4.11

./configure \
--prefix=/application/php7.4 \
--with-config-file-path=/application/php7.4/etc \
--with-curl \
--with-freetype \
--enable-gd \
--with-gettext \
--with-iconv-dir \
--with-kerberos \
--with-libdir=lib64 \
--with-mysqli \
--with-openssl \
--with-pdo-mysql \
--with-pdo-sqlite \
--with-pear \
--with-xmlrpc \
--with-xsl \
--with-zlib \
--with-zlib-dir \
--with-mhash \
--with-openssl-dir \
--with-jpeg \
--enable-gd-jis-conv \
--enable-fpm \
--enable-bcmath \
--enable-inline-optimization \
--enable-mbregex \
--enable-mbstring \
--enable-opcache \
--enable-pcntl \
--enable-shmop \
--enable-soap \
--enable-sockets \
--enable-sysvsem \
--enable-xml \
--with-zip

make
make install

cp php.ini-production /application/php7/etc/php.ini
cp -f sapi/fpm/init.d.php-fpm /etc/init.d/php-fpm
chmod 700 /etc/init.d/php-fpm
cp /application/php7/etc/php-fpm.conf.default /application/php7/etc/php-fpm.conf
cp /application/php7/etc/php-fpm.d/www.conf.default /application/php7/etc/php-fpm.d/www.conf

 

此条目发表在Linux分类目录,贴了标签。将固定链接加入收藏夹。

发表评论

电子邮件地址不会被公开。 必填项已用*标注